[flake8]
rst-directives =
    # These are sorted alphabetically - but that does not matter
    autosummary,data,currentmodule,deprecated,
    glossary,moduleauthor,plot,testcode,
    versionadded,versionchanged,

rst-roles =
    attr,class,func,meth,mod,obj,ref,term,
    # C programming language:
    c:member,
    # Python programming language:
    py:func,py:mod,

max-line-length=89
show-source=true
enable-extensions=G
import-order-style=pycharm

# There's a bug in PyCodeStyle regarding positional-only arguments which is
# already fixed but a new release hasn't come out yet. So instead of marking
# EVERY pos-only args statement I ignore all E225 errors. Worst case is that we
# will introduce some real E225 errors but as soon as PyCodeStyle is updated I
# will remove this ignore and lint the code.
ignore=B008, B009, E225

exclude =
    migrations
    local_settings.py
    */tests/utils/test_functional.py

per-file-ignores =
    */tests/*: D100, D101, D102, D103, D104
    app_skel/utils/json.py: C901

# Maximum Cyclomatic Complexity allowed
max-complexity = 5

# Set the application name
application-import-names=app_skel
